OpenCV: cv::WImageView< T > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Protected Attributes | List of all members
cv::WImageView< T > Class Template Reference
Core functionality

`#include "wimage.hpp"`

Inheritance diagram for cv::WImageView< T >:

## Public Types
typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImage< T >
typedef T | BaseType

## Public Member Functions
| WImageView (WImage< T > *img, int c, int r, int width, int height)
| WImageView (T *data, int width, int height, int channels, int width_step=-1)
| WImageView (IplImage *img)
| WImageView (const WImage< T > &img)
WImageView & | operator= (const WImage< T > &img)
Public Member Functions inherited from cv::WImage< T >
virtual | ~WImage ()=0
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
int | Height () const
T * | ImageData ()
const T * | ImageData () const
IplImage * | Ipl ()
const IplImage * | Ipl () const
T * | operator() (int c, int r)
const T * | operator() (int c, int r) const
int | PixelSize () const
const T * | Row (int r) const
T * | Row (int r)
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const

## Protected Attributes
IplImage | header_
Protected Attributes inherited from cv::WImage< T >
IplImage * | image_

## Additional Inherited Members
Protected Member Functions inherited from cv::WImage< T >
| WImage (const WImage &)
| WImage (IplImage *img)
void | operator= (const WImage &)
void | SetIpl (IplImage *image)

## Detailed Description

### template<typename T>
class cv::WImageView< T >

View into an image class which allows treating a subimage as an image or treating external data as an image

## Member Typedef Documentation

## ◆ BaseType

template<typename T>

typedef WImage<T>::BaseType cv::WImageView< T >::BaseType

## Constructor & Destructor Documentation

## ◆ WImageView() [1/2]

template<typename T>

cv::WImageView< T >::WImageView | ( | IplImage * | img | ) |
| inline

## ◆ WImageView() [2/2]

template<typename T>

cv::WImageView< T >::WImageView | ( | const WImage< T > & | img | ) |
| inline

## Member Function Documentation

## ◆ operator=()

template<typename T>

WImageView& cv::WImageView< T >::operator= | ( | const WImage< T > & | img | ) |
| inline

## Member Data Documentation

## ◆ header_

template<typename T>

IplImage cv::WImageView< T >::header_
| protected

The documentation for this class was generated from the following file:

- core/include/opencv2/core/wimage.hpp